Bug 497910 - Editing Cobbler Snippets in WebUI removes some special characters.
Editing Cobbler Snippets in WebUI removes some special characters.
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Jesus M. Rodriguez
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2009-04-27 16:12 EDT by Jeremy Mueller
Modified: 2009-09-10 08:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 08:06:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Mueller 2009-04-27 16:12:26 EDT
Description of problem:

If you edit a Cobbler snippet through the WebUI, you will lose the following characters:
< (less than)
> (greater than)
{ (left curly bracket)
} (right curly bracket)
( (left parenthesis)
) (right parenthesis)

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1.  You may have to run "chown tomcat.tomcat /var/lib/cobbler/snippets" so that the WebUI can write to the snippet files.
2.  Create a Cobbler snippet through the WebUI containing the above characters.
3.  Save the snippet and either view it again through the WebUI or the command line.
  
Actual results:

The six special characters mentioned above (<>,(),{}) are removed from the file.

Expected results:

No characters are stripped from the file.

Additional info:
Comment 1 Justin Sherrill 2009-07-31 12:24:50 EDT
This appears to be fixed in the current devel code.  Couldn't find the commit sadly, but moving to on_qa for more testing.
Comment 2 Miroslav Suchý 2009-09-10 08:06:03 EDT
Spacewalk 0.6 released

Note You need to log in before you can comment on or make changes to this bug.